package com.safeway.epe.Config;


import com.safeway.epe.domain.ConsumerPayload;
import com.safeway.epe.domain.TransactionPayload;
import feign.Headers;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@FeignClient(name = "service", url = "localhost:8082")
//@Headers({"User-Agent:Producer","Content-Type:application/vnd.kafka.json.v2+json","Accept:application/vnd.kafka.v2+json"})
public interface ProducerServiceProxy
{
    @RequestMapping(method= RequestMethod.POST, value="topics/{topic}", consumes = "application/vnd.kafka.json.v2+json")
    ResponseEntity<ConsumerPayload> produceTransactionService(@PathVariable("topic") String topic,
                                                              @RequestBody TransactionPayload transactionPayload,
                                                              @RequestHeader("Accept") String accept,
                                                              //@RequestHeader("Content-Type") String contentType,
                                                              @RequestHeader("User-Agent") String useAgent);
}
